## org.codehaus.plexus.collections
Class AbstractActiveMap

    java.lang.Object
      org.codehaus.plexus.collections.AbstractActiveMap

All Implemented Interfaces:
  java.util.Map, ActiveCollection, ActiveMap, org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable

Direct Known Subclasses:
  DefaultActiveMap

    public abstract class AbstractActiveMap

extends java.lang.Object
implements ActiveMap, org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable, org.codehaus.plexus.logging.LogEnabled

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary

Fields inherited from interface org.codehaus.plexus.collections.ActiveMap
`ROLE`

Constructor Summary
`protected` `AbstractActiveMap()`
`protected` `AbstractActiveMap(org.codehaus.plexus.PlexusContainer container, java.lang.String role)`

Method Summary
`protected java.util.Map` `checkedGetMap()`
`void` `clear()`
`void` `contextualize(org.codehaus.plexus.context.Context context)`
`void` `enableLogging(org.codehaus.plexus.logging.Logger logger)`
`protected org.codehaus.plexus.logging.Logger` `getLogger()`
`protected java.util.Map` `getMap()`
`java.lang.String` `getRole()` Retrive the role, or type of component, which is collected in the current instance.
`java.lang.Object` `put(java.lang.Object arg0, java.lang.Object arg1)`
`void` `putAll(java.util.Map arg0)`
`java.lang.Object` `remove(java.lang.Object key)`
`protected void` `setRole(java.lang.String role)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.codehaus.plexus.collections.ActiveMap
`checkedContainsKey, checkedContainsValue, checkedEntrySet, checkedGet, checkedKeySet, checkedValues`

Methods inherited from interface org.codehaus.plexus.collections.ActiveCollection
`checkedIsEmpty, checkedSize, isEmpty, size`

Methods inherited from interface java.util.Map
`containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, size, values`

Constructor Detail

### AbstractActiveMap

    protected AbstractActiveMap()

### AbstractActiveMap

    protected AbstractActiveMap(org.codehaus.plexus.PlexusContainer container,
                                java.lang.String role)

Method Detail

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object arg0,
                                java.lang.Object arg1)

  Specified by:
    `put` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map arg0)

  Specified by:
    `putAll` in interface `java.util.Map`

### remove

    public java.lang.Object remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map`

### getLogger

    protected final org.codehaus.plexus.logging.Logger getLogger()

### getMap

    protected final java.util.Map getMap()

### checkedGetMap

    protected final java.util.Map checkedGetMap()
                                         throws org.codehaus.plexus.component.repository.exception.ComponentLookupException

  Throws:
    `org.codehaus.plexus.component.repository.exception.ComponentLookupException`

### getRole

    public final java.lang.String getRole()

  Description copied from interface: `ActiveCollection`
  Retrive the role, or type of component, which is collected in the current instance. The current collection will only "contain" elements that specify this role in their component definitions.

  Specified by:
    `getRole` in interface `ActiveCollection`

### setRole

    protected final void setRole(java.lang.String role)

### contextualize

    public final void contextualize(org.codehaus.plexus.context.Context context)
                             throws org.codehaus.plexus.context.ContextException

  Specified by:
    `contextualize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Contextualizable`
  Throws:
    `org.codehaus.plexus.context.ContextException`

### enableLogging

    public final void enableLogging(org.codehaus.plexus.logging.Logger logger)

  Specified by:
    `enableLogging` in interface `org.codehaus.plexus.logging.LogEnabled`

Copyright © 2011. All Rights Reserved.